package com.tzld.piaoquan.recommend.server.service.recall.strategy;

import com.tzld.piaoquan.recommend.server.service.recall.RecallParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * 用户本次访问视频的社交I2I召回
 */
@Slf4j
@Component
public class SocialI2IDirectRecallStrategy extends SocialI2IBasicRecallStrategy {

    public static final String PUSH_FROM = "social_i2i_direct_recall";

    @Override
    protected List<Long> genLeftItemList(RecallParam param) {
        return new ArrayList<>(Collections.singletonList(param.getVideoId()));
    }


    @Override
    public String pushFrom() {
        return SocialI2IDirectRecallStrategy.PUSH_FROM;
    }
}
